Class List Method List File List

# Module: Vertx::TCPSupport

Included in:
  HttpClient, HttpServer, NetClient, NetServer
Defined in:
  src/main/ruby_scripts/core/tcp_support.rb

## Overview

Mixin module that provides all the common TCP params that can be set.

Author:

- Tim Fox

## Instance Method Summary (collapse)

- - (Object) receive_buffer_size=(val)
  Set the TCP receive buffer size.
- - (Object) reuse_address=(val)
  Set the TCP reuse address setting.
- - (Object) send_buffer_size=(val)
  Set the TCP send buffer size.
- - (Object) so_linger=(val)
  Set the TCP so linger setting.
- - (Object) tcp_keep_alive=(val)
  Set the TCP keep alive setting.
- - (Object) traffic_class=(val)
  Set the TCP traffic class setting.

## Instance Method Details

### - (`Object`) receive_buffer_size=(val)

Set the TCP receive buffer size.

Parameters:

- val. (`FixNum`) —
  The size in bytes.

Returns:

- [] A reference to self so invocations can be chained

    33
    34
    35
    36

    # File 'src/main/ruby_scripts/core/tcp_support.rb', line 33

    def receive_buffer_size=(val)
      @j_del.setReceiveBufferSize(val)
      self
    end

### - (`Object`) reuse_address=(val)

Set the TCP reuse address setting.

Parameters:

- val. (`Boolean`) —
  If true, then TCP reuse address will be enabled.

Returns:

- [] A reference to self so invocations can be chained

    49
    50
    51
    52

    # File 'src/main/ruby_scripts/core/tcp_support.rb', line 49

    def reuse_address=(val)
      @j_del.setReuseAddress(val)
      self
    end

### - (`Object`) send_buffer_size=(val)

Set the TCP send buffer size.

Parameters:

- val. (`FixNum`) —
  The size in bytes.

Returns:

- [] A reference to self so invocations can be chained

    25
    26
    27
    28

    # File 'src/main/ruby_scripts/core/tcp_support.rb', line 25

    def send_buffer_size=(val)
      @j_del.setSendBufferSize(val)
      self
    end

### - (`Object`) so_linger=(val)

Set the TCP so linger setting.

Parameters:

- val. (`Boolean`) —
  If true, then TCP so linger will be enabled.

Returns:

- [] A reference to self so invocations can be chained

    57
    58
    59
    60

    # File 'src/main/ruby_scripts/core/tcp_support.rb', line 57

    def so_linger=(val)
      @j_del.setSoLinger(val)
      self
    end

### - (`Object`) tcp_keep_alive=(val)

Set the TCP keep alive setting.

Parameters:

- val. (`Boolean`) —
  If true, then TCP keep alive will be enabled.

Returns:

- [] A reference to self so invocations can be chained

    41
    42
    43
    44

    # File 'src/main/ruby_scripts/core/tcp_support.rb', line 41

    def tcp_keep_alive=(val)
      @j_del.setTCPKeepAlive(val)
      self
    end

### - (`Object`) traffic_class=(val)

Set the TCP traffic class setting.

Parameters:

- val. (`FixNum`) —
  The TCP traffic class setting.

Returns:

- [] A reference to self so invocations can be chained

    65
    66
    67
    68

    # File 'src/main/ruby_scripts/core/tcp_support.rb', line 65

    def traffic_class=(val)
      @j_del.setTrafficClass(val)
      self
    end